Subject: Re: Cygwin BASH 20.1 Bug Report
From: Earnie Boyd <[email-masked]>
To: David M Knight <[email-masked]>, "cygwin%sourceware.cygnus.com" <[email-masked]>
Cc: dmk <"/dd.NOTES=[email-masked]/"@aexp.com>
Date: Thu, 27 May 1999 10:05:46 -0700 (PDT)

I do not have your below stated problem using the Jan 15th snapshot.

Earnie.

--- David M Knight <[email-masked]> wrote:
> Attached please find a test script (test.bash) and two log files (solaris.log
> 
> and cygwin.log). These files illustrate a problem I have encountered with the
> 
> 20.1 release.   Basically, I use directory names with certain 
> non-meta-character symbols to act as "separators" important to one of my 
> software products.   With all Unix bash implementations I have used, this 
> works fine.  Under the Cygwin BASH 20.1, directories with embedded "%" chars 
> work for some commands and not for others.  For example, the Directory AMEX% 
> is troublesome for the "touch" and "cp" commands, but works fine with mkdir, 
> ls, mv and rm.   Redirection to a pathname containing a directory name with
> an 
> embedded "%" also fails.  Tests for these problems are in the test.bash and 
> the log files show the output from Solaris and Cygwin BASH implementations. 
> 
> Good luck - I really hope you can fix this as I'd really like to use 
> Cygwin/BASH as a platform for my product: /BriefCase(tm) Release 3 - an 
> advanced Software Configuration Management toolkit for Unix/Linux platforms. 
>  
> see the webpage at http://www.applied-cs-inc.com, if you are interested.   
> It's an OpenSource/GPL distribution and the "%" chars (or  +, -,=) are used
> to 
> separate parts of  "project work area replica" directories and to control
> lock 
> integrity across multiple replicas and client hosts.  Project Replica 
> directory names consist of the project name and replica-name, e.g.:  
> "BCdev%enhancements" or "BCdev%bug37" with an optional trailing separator 
> (e.g. "BCdev%bug37%") to enable cross-clienthost lock integrity.  /BriefCase 
> file-revision lock keys are a composite of the user-name, replica-name and, 
> optionally, client-hostname.
> 
> Thanks! 
> 
> Dave Knight, Pres. 
> Applied Computer Sciences, inc.
>  [email-masked]
> 
> 
>               
> 
> 
> 
> 
> 
> 
> > set -xv
> mkdir TEST%
> ls -l TEST%
> touch TEST%/zot  # NG
> ls -l > xx
> mv xx TEST%/zot  # OK
> ls -l TEST%
> ls -l > TEST%/boo  # NG
> ls -l TEST%
> cp TEST%/zot TEST%/boo1
> ls -l TEST%
> mv TEST%/zot TEST%/boo2
> ls -l TEST%
> rm TEST%/boo*
> ls -l TEST%
> > Script started on Wed May 26 16:28:25 1999
> sh-2.02$ 
> sh-2.02$ 
> sh-2.02$ test.bash
> mkdir TEST%
> ++ mkdir TEST%
> mkdir: Failed to make directory "TEST%"; File exists
> ls -l TEST%
> ++ ls -l TEST%
> total 0
> touch TEST%/zot  # NG
> ++ touch TEST%/zot
> ls -l > xx
> ++ ls -l
> mv xx TEST%/zot  # OK
> ++ mv xx TEST%/zot
> ls -l TEST%
> ++ ls -l TEST%
> total 10
> -rw-r--r--   1 dmk      develop     4751 May 26 16:28 zot
> ls -l > TEST%/boo  # NG
> ++ ls -l
> ls -l TEST%
> ++ ls -l TEST%
> total 20
> -rw-r--r--   1 dmk      develop     4694 May 26 16:28 boo
> -rw-r--r--   1 dmk      develop     4751 May 26 16:28 zot
> cp TEST%/zot TEST%/boo1
> ++ cp TEST%/zot TEST%/boo1
> ls -l TEST%
> ++ ls -l TEST%
> total 30
> -rw-r--r--   1 dmk      develop     4694 May 26 16:28 boo
> -rw-r--r--   1 dmk      develop     4751 May 26 16:28 boo1
> -rw-r--r--   1 dmk      develop     4751 May 26 16:28 zot
> mv TEST%/zot TEST%/boo2
> ++ mv TEST%/zot TEST%/boo2
> ls -l TEST%
> ++ ls -l TEST%
> total 30
> -rw-r--r--   1 dmk      develop     4694 May 26 16:28 boo
> -rw-r--r--   1 dmk      develop     4751 May 26 16:28 boo1
> -rw-r--r--   1 dmk      develop     4751 May 26 16:28 boo2
> rm TEST%/boo*
> ++ rm TEST%/boo TEST%/boo1 TEST%/boo2
> ls -l TEST%
> ++ ls -l TEST%
> total 0
> sh-2.02$ exit
> 
> script done on Wed May 26 16:28:43 1999
> > Script Started: Wed May 26 16:12:37 1999
> ./test.bash
> mkdir TEST%
> + mkdir TEST%
> mkdir: cannot make directory `TEST%': File exists
> ls -l TEST%
> + ls -l TEST%
> total 0
> touch TEST%/zot  # NG
> + touch TEST%/zot
> touch: TEST%/zot: No such file or directory
> ls -l > xx
> + ls -l
> mv xx TEST%/zot  # OK
> + mv xx TEST%/zot
> ls -l TEST%
> + ls -l TEST%
> total 1
> -rw-r--r--   1 dmk      users        1032 May 26 16:12 zot
> ls -l > TEST%/boo  # NG
> + ls -l
> ./test.bash: cannot create TEST%/boo: directory nonexistent
> ls -l TEST%
> + ls -l TEST%
> total 1
> -rw-r--r--   1 dmk      users        1032 May 26 16:12 zot
> cp TEST%/zot TEST%/boo1
> + cp TEST%/zot TEST%/boo1
> cp: TEST%/zot: No such file or directory
> ls -l TEST%
> + ls -l TEST%
> total 1
> -rw-r--r--   1 dmk      users        1032 May 26 16:12 zot
> mv TEST%/zot TEST%/boo2
> + mv TEST%/zot TEST%/boo2
> ls -l TEST%
> + ls -l TEST%
> total 1
> -rw-r--r--   1 dmk      users        1032 May 26 16:12 boo2
> rm TEST%/boo*
> + rm TEST%/boo2
> ls -l TEST%
> + ls -l TEST%
> total 0
> 
> Script ended Wed May 26 16:13:01 1999
> 
> > --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]